Subject: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Sun, 12 Mar 2023 00:48:30 +0000

Michael Albinus <[email-masked]> writes:

> Anyway, I've removed the TIMEOUT argument from t-a-p-o (defaulting it to
> 0 now), and I've started the Tramp regression test campaign. It takes 2
> or 3 days usually, so let's see what's the outcome.

OK, sounds reasonable.  We're definitely in a better place now that the
problem is understood.  After you push the patch, are you also going to
bump the Tramp version?

I'd like to remove the Tramp-specific workaround in Eglot, but I don't
know if I can: Eglot would have to "Package-Require" a certain version
of Tramp.  Normally, :core packages should only require other :core
things.  But Tramp is not a :core GNU ELPA package.  At least according
to elpa.git/elpa-packages, it lives in its own repo.  Wait, but Tramp is
_also_ in emacs.git.  Huh?  So maybe it's possible?  I'm confused.
Stefan, can you help?

João